
QGIS Application - Bug report #11713

Measure tool ellipsoid defaults to 'None/Planametric' regardless of previous ellipsoid selection

2014-11-21 03:03 PM - Darren Wiens

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 19951

Description

Using QGIS 2.6.0 Brighton, I want to overlay a shapefile (EPSG: 26910, Nad83 UTM10) over OpenLayers Google Satellite (EPSG:

3857, Pseudo Mercator), and reliably measure distances.

The process is to add the shapefile, then add Google Satellite. The project CRS switches to EPSG:3857, and the shapefile is correctly

overlaid. The measure tool does not report correct distance - not surprising, since the CRS is 3857. I do not want to change the CRS

because then imagery shifts unexpectedly. So, I change the measure tool ellipsoid in Project Properties to 'GRS 1980'. Hit 'OK' to return

to map. The measure tool reports correct distance.

However, if I ever open Project Properties again, the measure tool ellipsoid has defaulted back to 'None/Planametric'. If I hit 'OK' to return

to map, the measure tool now reports incorrect distance, presumably because the map plane is unprojected.

Related issues:

Related to QGIS Application - Bug report # 19902: Advanced Digitizing tool NO... Closed 2018-09-20

Associated revisions

Revision c5b5eee1 - 2015-01-01 04:56 AM - Nathan Woodrow

Fix #10392 Fix #11713 - Fix selection of ellipsoide when opening project properties

History

#1 - 2014-12-21 11:24 PM - Lene Fischer

I have just found the same error.

Starting to show my students the difference between calculating an area with planimetric /ellipsoide difference.

We use EPSG 25832  (UTM32 N EUREF 89)

In the Project properties the Measure tool are set to CRS  ON  and Ellipsoide None /Planimetric ??? Strange when I have choosen a CRS with an

Ellipsoide

Then I change the Ellipsoide to WGS84 – Click on CRS – and sometimes it is set back to None or Clark 1866.

When I try to calculate an area – without any changes in the None /Planimetric – and secondly change the ellipsoide to WGS84 and recalculate – the area

gets smaller!!!!!!!

This must be a blocker!!!

#2 - 2014-12-22 06:55 AM - Giovanni Manghi

- Affected QGIS version changed from 2.6.0 to master

- Target version set to Version 2.8
- Priority changed from Normal to Severe/Regression

- Status changed from Open to Feedback

- Category set to Projection Support

this ticket should be duplicate of #10392 that is alreasy a blocker. Please leave feedback.

#3 - 2014-12-29 06:31 PM - Lene Fischer

- Assignee set to Giovanni Manghi

Hi Giovanni,

I don´t understand the other ticket you refer to.

The problem is that all area calculation is incorrect. And that is a MAJOR issue. If we can´t trust calculated area values...

In my humble opinion, I feel this issue is so important that a bugfix and a version 2.6.2 is needed ASAP.

Regards

Lene Fischer

#4 - 2014-12-30 12:06 AM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

Hi Leme

Lene Fischer wrote:

Hi Giovanni,

I don´t understand the other ticket you refer to.

The problem is that all area calculation is incorrect. And that is a MAJOR issue. If we can´t trust calculated area values...

In my humble opinion, I feel this issue is so important that a bugfix and a version 2.6.2 is needed ASAP.

it means that this ticket is, in my opinion, a duplicate of the issue described in #10392 and so it should be closed. #10392 is already a blocker, that means

that it must be fixed in time for qgis 2.8 (I am not sure there is any plan for 2.6.2). Cheers!

#5 - 2014-12-31 07:32 PM - Nathan Woodrow

- Resolution set to duplicate

- Status changed from Feedback to Closed

This is a duplicate of #10392 so lets just keep that one open for now.

#6 - 2014-12-31 07:43 PM - Nathan Woodrow

As a side note: Does the ellipsoide picker even belong there.  I would say something like that should be in the measure dialogs so you can change it on the

fly while using it.  Or is it normally a set once and leave it kind of thing?
#7 - 2018-09-21 12:17 PM - Jürgen Fischer

- Related to Bug report #19902: Advanced Digitizing tool NOT aligned with measurement tool added
